cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Ziegeler" <cziege...@s-und-n.de>
Subject RE: Build error in Velocity....
Date Sun, 06 Jul 2003 18:15:30 GMT
Christopher Oliver wrote:
>
> This is because the scratchpad build doesn't depend on the block build.
> There were duplicate jars that Carsten removed. Either we need to put
> them back or we need to figure out how to make scratchpad depend
> on blocks.
>
Yes, I haven't noticed that the scratchpad used this lib (eclipse compiles
anyway). Sorry.

But duplicated jars are not only waste of disk spaces and band width but
also they can become a night mare. Thing about having two different versions
in scratchpad and the velocity block. Which version will be used later on
in your webapp?

So, I see three cleaner solutions (with no preference)
a) Move the stuff from the scratchpad to the velocity block
b) Move the velocity jar to lib/optional so it's jused by scratchpad and
blocks
c) Add mock classes to the scratchpad, so the lib is not needed for
compilation

Carsten

> Chris
>
> Antonio Gallardo wrote:
>
> >Hi:
> >
> >I just downloaded the lastest change in the CVS. After a build
> clean I got:
> >
> >/cocoon-2.1/src/scratchpad/src/org/apache/cocoon/generation/FlowV
> elocityGenerator.java:85:
> >package org.apache.velocity does not exist
> >import org.apache.velocity.VelocityContext;
> >
> >
> >Then a build failed.
> >
> >Best Regards,
> >
> >Antonio Gallardo
> >
> >
> >
> >
> >
> >
>
>


Mime
View raw message